
import java.io.*;
import java.util.*;
import java.lang.*;

/**This class stores the configuration information for each PE.
  *
  *@version 1.0 (12/2005)
  *@author Yin Xiong
  */
  
public class ConfigInfo{

/**the number of LPs this PE is going to create*/
int numLPs;

/**a vector of strings representing the configration information*/
Vector LPInfo;

/**constructs a ConfigInfo object*/
public ConfigInfo(int size, Vector cinfo)
{
   numLPs=size;
   LPInfo=cinfo;
}//end constructor

/**Gets the number of LPs.*/
public int getNumLPs()
{
  return numLPs;
}

/**Gets the vector of configuration information */
public Vector getLPInfo()
{
   return LPInfo;
}

}//end ConfigInfo
