
import java.io.*;
import java.util.*;
import java.lang.*;

/**This class stores the configuration information for an LP. The information is provided
  *by application programmer in a text file in the following format: <br>
  *index app_name class_name data
  *
  *@version 1.0 (12/2005)
  *@author Yin Xiong
  */
  
public class LPConfigInfo{

/**the index of the LP*/
String LPIndex;

/**the name of the LP*/
String LPName;

/**the class name of the LP*/
String LPClassName;

/**the data for this LP*/
String LPData;

/**constructs a LPInfo object*/
public LPConfigInfo(String ids, String name, String cname, String dat)
{
   LPIndex=ids;
   LPName=name;
   LPClassName=cname;
   LPData=dat;
}//end constructor

/**Gets index of the LP*/
public String getLPIndex()
{
  return LPIndex;
}

/**Gets the name of the LP*/
public String getLPName()
{
   return LPName;
}

/**Gets the class name of the LP*/
public String getLPClassName()
{
    return LPClassName;
}

/**Gets the data of the LP*/
public String getLPData()
{
    return LPData;
}

public String toString()
{
   String s=" " +LPIndex + " " + LPName + " " + LPClassName + " " + LPData;
   return s;
}
}//end LPConfigInfo
